#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Select/Pseudo_LRU/include/Statistics.h"

#include <sstream>
using namespace std;

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace select {
namespace pseudo_lru {


  string Statistics::print_body (uint32_t depth)
  {
    string        tab = string(depth,'\t');
    ostringstream msg;

    msg << _stat_port_access->print(depth+1);
    msg << _stat_port_update->print(depth+1);
    
    return msg.str();
  };

}; // end namespace pseudo_lru
}; // end namespace select
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
